# SimpleLocation2D

data class SimpleLocation2D(x: Double, y: Double)
Content copied to clipboard

## Constructors

SimpleLocation2D
Link copied to clipboard
fun SimpleLocation2D(x: Number, y: Number)
Content copied to clipboard

## Functions

component1
Link copied to clipboard
operator fun component1(): Double
Content copied to clipboard
component2
Link copied to clipboard
operator fun component2(): Double
Content copied to clipboard
copy
Link copied to clipboard
fun copy(x: Double, y: Double): SimpleLocation2D
Content copied to clipboard
equals
Link copied to clipboard
open operator override fun equals(other: Any?): Boolean
Content copied to clipboard
hashCode
Link copied to clipboard
open override fun hashCode(): Int
Content copied to clipboard
toString
Link copied to clipboard
open override fun toString(): String
Content copied to clipboard

## Properties

x
Link copied to clipboard
val x: Double
Content copied to clipboard
y
Link copied to clipboard
val y: Double
Content copied to clipboard